namespace Nox.Core {
    /// <summary>
    /// This is a state which would normally consist of a load screen scene or anything similar
    /// </summary>
    public class LoadingGameState : IGameState {
        public bool IsGameStateInitialized { get; set; }

        public void EnterGameState() {
        }
        public GameState Tick() {
            return GameState.Loading;
        }
        public void LateTick() { }
        public void ExitGameState() {
        }
        public void Dispose() {
        }

    }
}
